Skip to content

Returns a list of sections for a given membership package

Request

Returns a list of sections for a given membership package

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

membershipPackageIdstringrequired

The membership package to describe sections

Query
currencyCodestring

The membership package to describe sections

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/sections/{tenantId}/portal/describeSections/{membershipPackageId}?currencyCode=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
section_type_idstring
section_type_namestring
section_type_portal_descriptionstring
sectionsArray of objects
]
Response
[ { "section_type_id": "string", "section_type_name": "string", "section_type_portal_description": "string", "sections": [ … ] } ]